# set\_auction\_duration

An entrypoint that setups default auction duration. The duration for previously created auctions will not change. The changes will only affect auctions that will be created after the change of the duration.

### Call parameters

<table><thead><tr><th>Field</th><th width="198.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>auction_duration</td><td>nat</td><td>New default duration of an auction</td></tr></tbody></table>

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const auctionAddress = "KT1...";
const auctionDuration = 86400; // 24 hours
const auction = await tezos.contract.at(auctionAddress);
const operation = await auction.methods.set_auction_duration(auctionDuration).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `311` - wrong auction duration (less than or equal to 0).
* `400` - `sender` of the transaction is not current administrator.
* `412` - non payable entrypoint (can't accept TEZ tokens during call of an entrypoint).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/dex-2.0/auction-contract/entrypoints-overview/admin-entrypoints/set_auction_duration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
